(define-module (ui quota ajax)
	       :use-module (alterator ajax)
	       :use-module (alterator algo)
	       :use-module (alterator woo)
	       :export (init))

(define (on-change-fs)
  (let* ( (flist (woo-list "/quota/fs")) 
          (fs (or (form-value "fs") (woo-get-option (cond-car flist) 'name)))
          (ulist (woo-list "/quota/users" 'fs fs))
          (uid (or (form-value "uid") (woo-get-option (cond-car ulist) 'name))) )

    (form-update-value "fs" fs)
    (form-update-enum  "uid" ulist)
    (form-update-value "uid" uid)
    (on-change-user-x fs uid) ))

(define (on-change-user-x fs uid)
  (let ((data (woo-read-first "/quota" 'fs fs 'uid uid)))
    (form-update-value "b_used" (woo-get-option data 'b_used))
    (form-update-value "b_soft" (woo-get-option data 'b_soft))
    (form-update-value "b_hard" (woo-get-option data 'b_hard))
    (form-update-value "i_used" (woo-get-option data 'i_used))
    (form-update-value "i_soft" (woo-get-option data 'i_soft))
    (form-update-value "i_hard" (woo-get-option data 'i_hard)) ))

(define (on-change-user)
  (let ((fs (form-value "fs"))
        (uid (form-value "uid")) )
    (on-change-user-x fs uid)))

(define (init)
  (form-bind "fs"  "change"  on-change-fs)
  (form-bind "uid" "change"  on-change-user)
  (on-change-fs))
